API reference

List reviews

With this API you can list the reviews that visitors wrote about the events of the selected organisation, sorted from the newest review to the oldest. You can use it, for example, to show your reviews on your own website.


Request

Make a GET request to the following endpoint with the API key.

https://api.hipsy.nl/v1/organisation/{organisation}/reviews

The URL parameter {organisation} is the slug or the ID of the organisation to get the reviews from. You can find the slug in the Hipsy dashboard in the menu 'Organisatie' and tab 'Profiel', or retrieve it with the List organisations API.

The following parameters are available and can be passed in the URL as query parameters.

ParameterRequiredDescriptionDefault
pageoptionalPage selection in case there are more results than 15 reviews1

The reviews endpoint always returns 15 reviews per page. The limit parameter is not supported.

Response

An array will be returned with the reviews.

KeyDescription
idThe ID of the review
reviewerThe writer of the review. See reviewer object
eventThe name of the event the review is about
textThe text of the review
ratingThe rating from 1 to 5
replyThe reply of the organisation to the review. Will be null if there is no reply
replied_atDate of the reply. Will be null if there is no reply
created_atDate when the review was written

Reviewer object

KeyDescription
idThe ID of the user who wrote the review
nameThe name the reviewer chose to show: the full name, the first name, an initial with the last name (J. Doe) or "Anonymous" in the language of the reviewer
avatar_urlAlways null. Reserved for future use.

Example

{
    "data": [
        {
            "id": 512,
            "reviewer": {
                "id": 4821,
                "name": "Jane",
                "avatar_url": null
            },
            "event": "Ecstatic Dance Universe - Kareem",
            "text": "What a beautiful evening, great music and a lovely atmosphere!",
            "rating": 5,
            "reply": "Thank you Jane, see you next time!",
            "replied_at": "2023-03-03T09:12:44.000000Z",
            "created_at": "2023-03-02T18:30:10.000000Z"
        },
        ...
    ],
    "links": {
        "first": "?page=1",
        "last": "?page=3",
        "prev": null,
        "next": "?page=2"
    },
    "meta": {
        "current_page": 1,
        "from": 1,
        "last_page": 3,
        "links": [...],
        "path": "",
        "per_page": 15,
        "to": 15,
        "total": 38
    }
}

Relative page links

Unlike the other endpoints, the links of this endpoint only contain the query string, like ?page=2. Add it to the endpoint URL yourself to request the next page.

Previous
List orders